From: Derek Trang <[email-masked]>
Date: Wed, 12 Jan 94 10:15:30 CST

I am a CSPA Principal.  My daughter is a LAD.  I filed an I-130
petition for my daughter to INS Northern Service Center two months
ago.  I am just notified that the petition has been approved, and
my daughter should go to local INS to file an I-485 for herself.
Can anyone tell if this is normal?  I heard some other lads have
got approved after they filed I-130 (without going to local INS
to file another I-485).  I am not sure if this is true.  Can
anyone clarify it for me?  Thanks.

Derek